package com.ssm.model.system;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SysPositionExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public SysPositionExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andPositionidIsNull() {
            addCriterion("PositionID is null");
            return (Criteria) this;
        }

        public Criteria andPositionidIsNotNull() {
            addCriterion("PositionID is not null");
            return (Criteria) this;
        }

        public Criteria andPositionidEqualTo(Integer value) {
            addCriterion("PositionID =", value, "positionid");
            return (Criteria) this;
        }

        public Criteria andPositionidNotEqualTo(Integer value) {
            addCriterion("PositionID <>", value, "positionid");
            return (Criteria) this;
        }

        public Criteria andPositionidGreaterThan(Integer value) {
            addCriterion("PositionID >", value, "positionid");
            return (Criteria) this;
        }

        public Criteria andPositionidGreaterThanOrEqualTo(Integer value) {
            addCriterion("PositionID >=", value, "positionid");
            return (Criteria) this;
        }

        public Criteria andPositionidLessThan(Integer value) {
            addCriterion("PositionID <", value, "positionid");
            return (Criteria) this;
        }

        public Criteria andPositionidLessThanOrEqualTo(Integer value) {
            addCriterion("PositionID <=", value, "positionid");
            return (Criteria) this;
        }

        public Criteria andPositionidIn(List<Integer> values) {
            addCriterion("PositionID in", values, "positionid");
            return (Criteria) this;
        }

        public Criteria andPositionidNotIn(List<Integer> values) {
            addCriterion("PositionID not in", values, "positionid");
            return (Criteria) this;
        }

        public Criteria andPositionidBetween(Integer value1, Integer value2) {
            addCriterion("PositionID between", value1, value2, "positionid");
            return (Criteria) this;
        }

        public Criteria andPositionidNotBetween(Integer value1, Integer value2) {
            addCriterion("PositionID not between", value1, value2, "positionid");
            return (Criteria) this;
        }

        public Criteria andPositioncodeIsNull() {
            addCriterion("PositionCode is null");
            return (Criteria) this;
        }

        public Criteria andPositioncodeIsNotNull() {
            addCriterion("PositionCode is not null");
            return (Criteria) this;
        }

        public Criteria andPositioncodeEqualTo(String value) {
            addCriterion("PositionCode =", value, "positioncode");
            return (Criteria) this;
        }

        public Criteria andPositioncodeNotEqualTo(String value) {
            addCriterion("PositionCode <>", value, "positioncode");
            return (Criteria) this;
        }

        public Criteria andPositioncodeGreaterThan(String value) {
            addCriterion("PositionCode >", value, "positioncode");
            return (Criteria) this;
        }

        public Criteria andPositioncodeGreaterThanOrEqualTo(String value) {
            addCriterion("PositionCode >=", value, "positioncode");
            return (Criteria) this;
        }

        public Criteria andPositioncodeLessThan(String value) {
            addCriterion("PositionCode <", value, "positioncode");
            return (Criteria) this;
        }

        public Criteria andPositioncodeLessThanOrEqualTo(String value) {
            addCriterion("PositionCode <=", value, "positioncode");
            return (Criteria) this;
        }

        public Criteria andPositioncodeLike(String value) {
            addCriterion("PositionCode like", value, "positioncode");
            return (Criteria) this;
        }

        public Criteria andPositioncodeNotLike(String value) {
            addCriterion("PositionCode not like", value, "positioncode");
            return (Criteria) this;
        }

        public Criteria andPositioncodeIn(List<String> values) {
            addCriterion("PositionCode in", values, "positioncode");
            return (Criteria) this;
        }

        public Criteria andPositioncodeNotIn(List<String> values) {
            addCriterion("PositionCode not in", values, "positioncode");
            return (Criteria) this;
        }

        public Criteria andPositioncodeBetween(String value1, String value2) {
            addCriterion("PositionCode between", value1, value2, "positioncode");
            return (Criteria) this;
        }

        public Criteria andPositioncodeNotBetween(String value1, String value2) {
            addCriterion("PositionCode not between", value1, value2, "positioncode");
            return (Criteria) this;
        }

        public Criteria andCreateduseridIsNull() {
            addCriterion("CreatedUserID is null");
            return (Criteria) this;
        }

        public Criteria andCreateduseridIsNotNull() {
            addCriterion("CreatedUserID is not null");
            return (Criteria) this;
        }

        public Criteria andCreateduseridEqualTo(Integer value) {
            addCriterion("CreatedUserID =", value, "createduserid");
            return (Criteria) this;
        }

        public Criteria andCreateduseridNotEqualTo(Integer value) {
            addCriterion("CreatedUserID <>", value, "createduserid");
            return (Criteria) this;
        }

        public Criteria andCreateduseridGreaterThan(Integer value) {
            addCriterion("CreatedUserID >", value, "createduserid");
            return (Criteria) this;
        }

        public Criteria andCreateduseridGreaterThanOrEqualTo(Integer value) {
            addCriterion("CreatedUserID >=", value, "createduserid");
            return (Criteria) this;
        }

        public Criteria andCreateduseridLessThan(Integer value) {
            addCriterion("CreatedUserID <", value, "createduserid");
            return (Criteria) this;
        }

        public Criteria andCreateduseridLessThanOrEqualTo(Integer value) {
            addCriterion("CreatedUserID <=", value, "createduserid");
            return (Criteria) this;
        }

        public Criteria andCreateduseridIn(List<Integer> values) {
            addCriterion("CreatedUserID in", values, "createduserid");
            return (Criteria) this;
        }

        public Criteria andCreateduseridNotIn(List<Integer> values) {
            addCriterion("CreatedUserID not in", values, "createduserid");
            return (Criteria) this;
        }

        public Criteria andCreateduseridBetween(Integer value1, Integer value2) {
            addCriterion("CreatedUserID between", value1, value2, "createduserid");
            return (Criteria) this;
        }

        public Criteria andCreateduseridNotBetween(Integer value1, Integer value2) {
            addCriterion("CreatedUserID not between", value1, value2, "createduserid");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeIsNull() {
            addCriterion("CreatedDatetime is null");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeIsNotNull() {
            addCriterion("CreatedDatetime is not null");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeEqualTo(Date value) {
            addCriterion("CreatedDatetime =", value, "createddatetime");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeNotEqualTo(Date value) {
            addCriterion("CreatedDatetime <>", value, "createddatetime");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeGreaterThan(Date value) {
            addCriterion("CreatedDatetime >", value, "createddatetime");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CreatedDatetime >=", value, "createddatetime");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeLessThan(Date value) {
            addCriterion("CreatedDatetime <", value, "createddatetime");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeLessThanOrEqualTo(Date value) {
            addCriterion("CreatedDatetime <=", value, "createddatetime");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeIn(List<Date> values) {
            addCriterion("CreatedDatetime in", values, "createddatetime");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeNotIn(List<Date> values) {
            addCriterion("CreatedDatetime not in", values, "createddatetime");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeBetween(Date value1, Date value2) {
            addCriterion("CreatedDatetime between", value1, value2, "createddatetime");
            return (Criteria) this;
        }

        public Criteria andCreateddatetimeNotBetween(Date value1, Date value2) {
            addCriterion("CreatedDatetime not between", value1, value2, "createddatetime");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridIsNull() {
            addCriterion("LastUpdateUserID is null");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridIsNotNull() {
            addCriterion("LastUpdateUserID is not null");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridEqualTo(Integer value) {
            addCriterion("LastUpdateUserID =", value, "lastupdateuserid");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridNotEqualTo(Integer value) {
            addCriterion("LastUpdateUserID <>", value, "lastupdateuserid");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridGreaterThan(Integer value) {
            addCriterion("LastUpdateUserID >", value, "lastupdateuserid");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridGreaterThanOrEqualTo(Integer value) {
            addCriterion("LastUpdateUserID >=", value, "lastupdateuserid");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridLessThan(Integer value) {
            addCriterion("LastUpdateUserID <", value, "lastupdateuserid");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridLessThanOrEqualTo(Integer value) {
            addCriterion("LastUpdateUserID <=", value, "lastupdateuserid");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridIn(List<Integer> values) {
            addCriterion("LastUpdateUserID in", values, "lastupdateuserid");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridNotIn(List<Integer> values) {
            addCriterion("LastUpdateUserID not in", values, "lastupdateuserid");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridBetween(Integer value1, Integer value2) {
            addCriterion("LastUpdateUserID between", value1, value2, "lastupdateuserid");
            return (Criteria) this;
        }

        public Criteria andLastupdateuseridNotBetween(Integer value1, Integer value2) {
            addCriterion("LastUpdateUserID not between", value1, value2, "lastupdateuserid");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeIsNull() {
            addCriterion("LastUpdateDatetime is null");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeIsNotNull() {
            addCriterion("LastUpdateDatetime is not null");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeEqualTo(Date value) {
            addCriterion("LastUpdateDatetime =", value, "lastupdatedatetime");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeNotEqualTo(Date value) {
            addCriterion("LastUpdateDatetime <>", value, "lastupdatedatetime");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeGreaterThan(Date value) {
            addCriterion("LastUpdateDatetime >", value, "lastupdatedatetime");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("LastUpdateDatetime >=", value, "lastupdatedatetime");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeLessThan(Date value) {
            addCriterion("LastUpdateDatetime <", value, "lastupdatedatetime");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeLessThanOrEqualTo(Date value) {
            addCriterion("LastUpdateDatetime <=", value, "lastupdatedatetime");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeIn(List<Date> values) {
            addCriterion("LastUpdateDatetime in", values, "lastupdatedatetime");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeNotIn(List<Date> values) {
            addCriterion("LastUpdateDatetime not in", values, "lastupdatedatetime");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeBetween(Date value1, Date value2) {
            addCriterion("LastUpdateDatetime between", value1, value2, "lastupdatedatetime");
            return (Criteria) this;
        }

        public Criteria andLastupdatedatetimeNotBetween(Date value1, Date value2) {
            addCriterion("LastUpdateDatetime not between", value1, value2, "lastupdatedatetime");
            return (Criteria) this;
        }

        public Criteria andPositionnameIsNull() {
            addCriterion("PositionName is null");
            return (Criteria) this;
        }

        public Criteria andPositionnameIsNotNull() {
            addCriterion("PositionName is not null");
            return (Criteria) this;
        }

        public Criteria andPositionnameEqualTo(String value) {
            addCriterion("PositionName =", value, "positionname");
            return (Criteria) this;
        }

        public Criteria andPositionnameNotEqualTo(String value) {
            addCriterion("PositionName <>", value, "positionname");
            return (Criteria) this;
        }

        public Criteria andPositionnameGreaterThan(String value) {
            addCriterion("PositionName >", value, "positionname");
            return (Criteria) this;
        }

        public Criteria andPositionnameGreaterThanOrEqualTo(String value) {
            addCriterion("PositionName >=", value, "positionname");
            return (Criteria) this;
        }

        public Criteria andPositionnameLessThan(String value) {
            addCriterion("PositionName <", value, "positionname");
            return (Criteria) this;
        }

        public Criteria andPositionnameLessThanOrEqualTo(String value) {
            addCriterion("PositionName <=", value, "positionname");
            return (Criteria) this;
        }

        public Criteria andPositionnameLike(String value) {
            addCriterion("PositionName like", value, "positionname");
            return (Criteria) this;
        }

        public Criteria andPositionnameNotLike(String value) {
            addCriterion("PositionName not like", value, "positionname");
            return (Criteria) this;
        }

        public Criteria andPositionnameIn(List<String> values) {
            addCriterion("PositionName in", values, "positionname");
            return (Criteria) this;
        }

        public Criteria andPositionnameNotIn(List<String> values) {
            addCriterion("PositionName not in", values, "positionname");
            return (Criteria) this;
        }

        public Criteria andPositionnameBetween(String value1, String value2) {
            addCriterion("PositionName between", value1, value2, "positionname");
            return (Criteria) this;
        }

        public Criteria andPositionnameNotBetween(String value1, String value2) {
            addCriterion("PositionName not between", value1, value2, "positionname");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeIsNull() {
            addCriterion("LanguageType is null");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeIsNotNull() {
            addCriterion("LanguageType is not null");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeEqualTo(Integer value) {
            addCriterion("LanguageType =", value, "languagetype");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeNotEqualTo(Integer value) {
            addCriterion("LanguageType <>", value, "languagetype");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeGreaterThan(Integer value) {
            addCriterion("LanguageType >", value, "languagetype");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("LanguageType >=", value, "languagetype");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeLessThan(Integer value) {
            addCriterion("LanguageType <", value, "languagetype");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeLessThanOrEqualTo(Integer value) {
            addCriterion("LanguageType <=", value, "languagetype");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeIn(List<Integer> values) {
            addCriterion("LanguageType in", values, "languagetype");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeNotIn(List<Integer> values) {
            addCriterion("LanguageType not in", values, "languagetype");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeBetween(Integer value1, Integer value2) {
            addCriterion("LanguageType between", value1, value2, "languagetype");
            return (Criteria) this;
        }

        public Criteria andLanguagetypeNotBetween(Integer value1, Integer value2) {
            addCriterion("LanguageType not between", value1, value2, "languagetype");
            return (Criteria) this;
        }

        public Criteria anddepidIsNull() {
            addCriterion("depid is null");
            return (Criteria) this;
        }

        public Criteria anddepidIsNotNull() {
            addCriterion("depid is not null");
            return (Criteria) this;
        }

        public Criteria anddepidEqualTo(Integer value) {
            addCriterion("depid =", value, "depid");
            return (Criteria) this;
        }

        public Criteria anddepidNotEqualTo(Integer value) {
            addCriterion("depid <>", value, "depid");
            return (Criteria) this;
        }

        public Criteria anddepidGreaterThan(Integer value) {
            addCriterion("depid >", value, "depid");
            return (Criteria) this;
        }

        public Criteria anddepidGreaterThanOrEqualTo(Integer value) {
            addCriterion("depid >=", value, "depid");
            return (Criteria) this;
        }

        public Criteria anddepidLessThan(Integer value) {
            addCriterion("depid <", value, "depid");
            return (Criteria) this;
        }

        public Criteria anddepidLessThanOrEqualTo(Integer value) {
            addCriterion("depid <=", value, "depid");
            return (Criteria) this;
        }

        public Criteria anddepidIn(List<Integer> values) {
            addCriterion("depid in", values, "depid");
            return (Criteria) this;
        }

        public Criteria anddepidNotIn(List<Integer> values) {
            addCriterion("depid not in", values, "depid");
            return (Criteria) this;
        }

        public Criteria anddepidBetween(Integer value1, Integer value2) {
            addCriterion("depid between", value1, value2, "depid");
            return (Criteria) this;
        }

        public Criteria anddepidNotBetween(Integer value1, Integer value2) {
            addCriterion("depid not between", value1, value2, "depid");
            return (Criteria) this;
        }

        public Criteria andIsdeletedIsNull() {
            addCriterion("IsDeleted is null");
            return (Criteria) this;
        }

        public Criteria andIsdeletedIsNotNull() {
            addCriterion("IsDeleted is not null");
            return (Criteria) this;
        }

        public Criteria andIsdeletedEqualTo(Boolean value) {
            addCriterion("IsDeleted =", value, "isdeleted");
            return (Criteria) this;
        }

        public Criteria andIsdeletedNotEqualTo(Boolean value) {
            addCriterion("IsDeleted <>", value, "isdeleted");
            return (Criteria) this;
        }

        public Criteria andIsdeletedGreaterThan(Boolean value) {
            addCriterion("IsDeleted >", value, "isdeleted");
            return (Criteria) this;
        }

        public Criteria andIsdeletedGreaterThanOrEqualTo(Boolean value) {
            addCriterion("IsDeleted >=", value, "isdeleted");
            return (Criteria) this;
        }

        public Criteria andIsdeletedLessThan(Boolean value) {
            addCriterion("IsDeleted <", value, "isdeleted");
            return (Criteria) this;
        }

        public Criteria andIsdeletedLessThanOrEqualTo(Boolean value) {
            addCriterion("IsDeleted <=", value, "isdeleted");
            return (Criteria) this;
        }

        public Criteria andIsdeletedIn(List<Boolean> values) {
            addCriterion("IsDeleted in", values, "isdeleted");
            return (Criteria) this;
        }

        public Criteria andIsdeletedNotIn(List<Boolean> values) {
            addCriterion("IsDeleted not in", values, "isdeleted");
            return (Criteria) this;
        }

        public Criteria andIsdeletedBetween(Boolean value1, Boolean value2) {
            addCriterion("IsDeleted between", value1, value2, "isdeleted");
            return (Criteria) this;
        }

        public Criteria andIsdeletedNotBetween(Boolean value1, Boolean value2) {
            addCriterion("IsDeleted not between", value1, value2, "isdeleted");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}